Package com.xebialabs.xlrelease.domain.events

# Class PhaseMovedEvent$

java.lang.Object
scala.runtime.AbstractFunction3<Phase,Object,Object,PhaseMovedEvent>
com.xebialabs.xlrelease.domain.events.PhaseMovedEvent$

All Implemented Interfaces:
  `Serializable`, `scala.Function3<Phase,Object,Object,PhaseMovedEvent>`

public class PhaseMovedEvent$ extends scala.runtime.AbstractFunction3<Phase,Object,Object,PhaseMovedEvent> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final PhaseMovedEvent$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhaseMovedEvent$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PhaseMovedEvent`
  `apply(Phase movedPhase, int originIndex, int targetIndex)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple3<Phase,Object,Object>>`
  `unapply(PhaseMovedEvent x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction3

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Function3

  `apply`

- ## Field Details

  - ### MODULE$

    public static final PhaseMovedEvent$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### PhaseMovedEvent$

    public PhaseMovedEvent$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function3<Phase,Object,Object,PhaseMovedEvent>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction3<Phase,Object,Object,PhaseMovedEvent>`

  - ### apply

    public PhaseMovedEvent apply(Phase movedPhase, int originIndex, int targetIndex)

  - ### unapply

    public scala.Option<scala.Tuple3<Phase,Object,Object>> unapply(PhaseMovedEvent x$0)